All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
SQLStatement Class Reference

This is the public class for DBI drivers supporting Qore's new prepared statement API. More...

`#include <SQLStatement.h>`

## Public Member Functions

DLLEXPORT void * | getPrivateData () const
| returns the private DBI-specific data structure for this object
DLLEXPORT void * | takePrivateData ()
| returns the private DBI-specific data structure for this object and clears the object
DLLEXPORT void | setPrivateData (void *data)
| sets the private DBI-specific data structure for this object
DLLEXPORT Datasource * | getDatasource () const
| returns the Datasource bound to this statement

## Detailed Description

This is the public class for DBI drivers supporting Qore's new prepared statement API.

See Also
  DBIDriver

## Member Function Documentation

DLLEXPORT Datasource* SQLStatement::getDatasource | ( |  | ) | const

returns the Datasource bound to this statement

Returns
  the Datasource bound to this statement

DLLEXPORT void SQLStatement::setPrivateData | ( | void * | data | ) |

sets the private DBI-specific data structure for this object

this should only be called once in the actual DBI driver code

Parameters

  data | the data for the DBI driver that holds the driver-specific state of the connection

The documentation for this class was generated from the following file:

- include/qore/SQLStatement.h (5431)